"""This script runs the audio inferer server."""
import os

from openmmla_audio.services.audio_inferer import AudioInferer
from openmmla_audio.utils.server_utils import create_app

project_dir = os.path.join(os.path.dirname(os.path.realpath(__file__)), '..')
app = create_app(
    class_type=AudioInferer,
    endpoint='infer',
    method_name='infer',
    class_args={'project_dir': project_dir, 'use_cuda': True},
)

# gunicorn -w 1 -b 0.0.0.0:5002 infer_server:app
# hypercorn -w 1 -b 0.0.0.0:5002 infer_server:app
# kill -9 $(lsof -ti:5002)
if __name__ == '__main__':
    app.run(host='0.0.0.0', port=5002)
