"""This script runs the speech transcriber server."""
import os

from openmmla_audio.services.speech_transcriber import SpeechTranscriber
from openmmla_audio.utils.server_utils import create_app

project_dir = os.path.join(os.path.dirname(os.path.realpath(__file__)), '..')
app = create_app(
    class_type=SpeechTranscriber,
    endpoint='transcribe',
    method_name='transcribe_audio',
    class_args={'project_dir': project_dir, 'use_cuda': True},
)

# gunicorn -w 1 -b 0.0.0.0:5000 transcribe_server:app
# hypercorn -w 1 -b 0.0.0.0:5000 transcribe_server:app
# kill -9 $(lsof -ti:5000)
if __name__ == '__main__':
    app.run(host='0.0.0.0', port=5000, threaded=True)
